Package com.io7m.cardant.database.api

# Interface CADatabaseQueriesItemsType

All Superinterfaces:
  `CADatabaseQueriesType`

All Known Subinterfaces:
  `CADatabaseQueriesItemsType.ItemAttachmentAddType`, `CADatabaseQueriesItemsType.ItemAttachmentRemoveType`, `CADatabaseQueriesItemsType.ItemCreateType`, `CADatabaseQueriesItemsType.ItemDeleteMarkOnlyType`, `CADatabaseQueriesItemsType.ItemDeleteType`, `CADatabaseQueriesItemsType.ItemGetType`, `CADatabaseQueriesItemsType.ItemLocationsType`, `CADatabaseQueriesItemsType.ItemMetadataPutType`, `CADatabaseQueriesItemsType.ItemMetadataRemoveType`, `CADatabaseQueriesItemsType.ItemRepositType`, `CADatabaseQueriesItemsType.ItemSearchType`, `CADatabaseQueriesItemsType.ItemSetNameType`, `CADatabaseQueriesItemsType.ItemTypesAssignType`, `CADatabaseQueriesItemsType.ItemTypesRevokeType`

All Known Implementing Classes:
  `CADBQItemAttachmentAdd`, `CADBQItemAttachmentRemove`, `CADBQItemCreate`, `CADBQItemDelete`, `CADBQItemDeleteMarkOnly`, `CADBQItemGet`, `CADBQItemLocations`, `CADBQItemMetadataPut`, `CADBQItemMetadataRemove`, `CADBQItemReposit`, `CADBQItemSearch`, `CADBQItemSetName`, `CADBQItemTypesAssign`, `CADBQItemTypesRevoke`

public sealed interface CADatabaseQueriesItemsType extends CADatabaseQueriesType permits CADatabaseQueriesItemsType.ItemGetType, CADatabaseQueriesItemsType.ItemCreateType, CADatabaseQueriesItemsType.ItemSetNameType, CADatabaseQueriesItemsType.ItemDeleteType, CADatabaseQueriesItemsType.ItemDeleteMarkOnlyType, CADatabaseQueriesItemsType.ItemMetadataPutType, CADatabaseQueriesItemsType.ItemMetadataRemoveType, CADatabaseQueriesItemsType.ItemAttachmentAddType, CADatabaseQueriesItemsType.ItemAttachmentRemoveType, CADatabaseQueriesItemsType.ItemRepositType, CADatabaseQueriesItemsType.ItemLocationsType, CADatabaseQueriesItemsType.ItemSearchType, CADatabaseQueriesItemsType.ItemTypesAssignType, CADatabaseQueriesItemsType.ItemTypesRevokeType
Model database queries (Items).

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static interface`
  `CADatabaseQueriesItemsType.ItemAttachmentAddType`
  Add an attachment to the given item.
  `static interface`
  `CADatabaseQueriesItemsType.ItemAttachmentRemoveType`
  Remove an attachment from the given item.
  `static interface`
  `CADatabaseQueriesItemsType.ItemCreateType`
  Create an item with the given ID.
  `static interface`
  `CADatabaseQueriesItemsType.ItemDeleteMarkOnlyType`
  Mark the given items as deleted.
  `static interface`
  `CADatabaseQueriesItemsType.ItemDeleteType`
  Delete the given items.
  `static interface`
  `CADatabaseQueriesItemsType.ItemGetType`
  Retrieve the item with the given ID, if one exists.
  `static interface`
  `CADatabaseQueriesItemsType.ItemLocationsType`
  Retrieve the locations of the given item.
  `static interface`
  `CADatabaseQueriesItemsType.ItemMetadataPutType`
  Add or update metadata on an item.
  `static interface`
  `CADatabaseQueriesItemsType.ItemMetadataRemoveType`
  Remove metadata from an item.
  `static interface`
  `CADatabaseQueriesItemsType.ItemRepositType`
  Reposit items.
  `static interface`
  `CADatabaseQueriesItemsType.ItemSearchType`
  Start searching for items.
  `static interface`
  `CADatabaseQueriesItemsType.ItemSetNameType`
  Set the name for the given item.
  `static interface`
  `CADatabaseQueriesItemsType.ItemTypesAssignType`
  Assign types to the given item.
  `static interface`
  `CADatabaseQueriesItemsType.ItemTypesRevokeType`
  Revoke types from the given item.

- ## Field Summary

  ### Fields inherited from interface com.io7m.cardant.database.api.CADatabaseQueriesType

  `EARLIEST`